<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="bdc_f_sub_liv" pageWidth="234" pageHeight="165" columnWidth="234" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0">
	<property name="ireport.zoom" value="3.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="cimpid" class="java.math.BigDecimal"/>
	<queryString>
		<![CDATA[select distinct cimp_infos_impression, c.exe_ordre, x.exe_ordre as exe_ordre_marche, x.mar_index , x.mar_libelle, x.lot_index,  x.lot_libelle
from jefy_depense.commande_impression ci
inner join jefy_depense.commande c on ci.comm_id=c.comm_id
left outer join (
select distinct cb.comm_id,  m.exe_ordre, m.mar_index , m.mar_libelle, l.lot_index,  l.lot_libelle
from  jefy_depense.commande_budget cb
inner join jefy_depense.commande_ctrl_marche dcm on cb.CBUD_ID=dcm.CBUD_ID
inner join jefy_marches.attribution a on dcm.att_ordre = a.att_ordre
inner join jefy_marches.lot l on l.lot_ordre = a.lot_ordre
inner join jefy_marches.marche m on m.mar_ordre = l.mar_ordre
) x  on x.comm_id=ci.comm_id
where  ci.cimp_id = $P{cimpid}]]>
	</queryString>
	<field name="CIMP_INFOS_IMPRESSION" class="java.lang.String"/>
	<field name="EXE_ORDRE" class="java.math.BigDecimal"/>
	<field name="EXE_ORDRE_MARCHE" class="java.math.BigDecimal"/>
	<field name="MAR_INDEX" class="java.lang.String"/>
	<field name="MAR_LIBELLE" class="java.lang.String"/>
	<field name="LOT_INDEX" class="java.lang.String"/>
	<field name="LOT_LIBELLE" class="java.lang.String"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band splitType="Stretch"/>
	</title>
	<pageHeader>
		<band splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="165" splitType="Stretch">
			<textField>
				<reportElement positionType="Float" x="2" y="80" width="231" height="85">
					<printWhenExpression><![CDATA[new Boolean ($F{MAR_LIBELLE} != null)]]></printWhenExpression>
				</reportElement>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{CIMP_INFOS_IMPRESSION}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement positionType="Float" x="2" y="20" width="231" height="40" isRemoveLineWhenBlank="true">
					<printWhenExpression><![CDATA[new Boolean ($F{MAR_LIBELLE} != null)]]></printWhenExpression>
				</reportElement>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA["Marché n° "+$F{EXE_ORDRE_MARCHE}+" / "+$F{MAR_INDEX}+" : "+$F{MAR_LIBELLE}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement positionType="Float" x="2" y="0" width="50" height="10" isRemoveLineWhenBlank="true"/>
				<textElement>
					<font fontName="Arial" size="10" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Exercice : "]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="###0;-###0" isBlankWhenNull="true">
				<reportElement positionType="Float" x="52" y="0" width="50" height="10" isRemoveLineWhenBlank="true"/>
				<textElement>
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{EXE_ORDRE}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement positionType="Float" x="2" y="10" width="231" height="10" isRemoveLineWhenBlank="true">
					<printWhenExpression><![CDATA[new Boolean ($F{MAR_LIBELLE} != null)]]></printWhenExpression>
				</reportElement>
				<textElement>
					<font fontName="Arial" size="10" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Marché : "]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement positionType="Float" x="2" y="70" width="231" height="10" isRemoveLineWhenBlank="true">
					<printWhenExpression><![CDATA[new Boolean ($F{MAR_LIBELLE} != null)]]></printWhenExpression>
				</reportElement>
				<textElement>
					<font fontName="Arial" size="10" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Remarques : "]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement positionType="Float" x="3" y="30" width="231" height="135">
					<printWhenExpression><![CDATA[new Boolean ($F{MAR_LIBELLE} == null)]]></printWhenExpression>
				</reportElement>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{CIMP_INFOS_IMPRESSION}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement positionType="Float" x="3" y="20" width="231" height="10" isRemoveLineWhenBlank="true">
					<printWhenExpression><![CDATA[new Boolean ($F{MAR_LIBELLE} == null)]]></printWhenExpression>
				</reportElement>
				<textElement>
					<font fontName="Arial" size="10" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Remarques : "]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement positionType="Float" x="2" y="60" width="231" height="10" isRemoveLineWhenBlank="true">
					<printWhenExpression><![CDATA[new Boolean ($F{MAR_LIBELLE} != null)]]></printWhenExpression>
				</reportElement>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA["Lot n° "+$F{LOT_INDEX}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band splitType="Stretch"/>
	</summary>
</jasperReport>
